Bug 219547 - MakeCustomizer & ListEditorPanel access file system from EDT
MakeCustomizer & ListEditorPanel access file system from EDT
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Maria Tishkova
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 18:56 UTC by Vladimir Kvashin
Modified: 2012-10-31 02:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Full stack (3.01 KB, text/plain)
2012-10-04 18:56 UTC, Vladimir Kvashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2012-10-04 18:56:35 UTC
Created attachment 125402 [details]
Full stack

Here is one another stack showing access to file system from EDT.
In this particular case it was remote, which is even worse, but can harm user in "local" file system as well.

Here is a reduced stack, see full stack in the attachment

"AWT-EventQueue-1" prio=3 tid=0x08aca800 nid=0x1e runnable [0xbdffd000]
   java.lang.Thread.State: RUNNABLE
        at org.netbeans.modules.remote.impl.fs.RemoteDirectory.refreshDirectoryStorage(RemoteDirectory.java:476)
...
org.netbeans.modules.remote.impl.fs.RemoteFileObject.delete(RemoteFileObject.java:433)
        at org.netbeans.modules.cnd.discovery.buildsupport.CompileSupport.remove(CompileSupport.java:118)
        at org.netbeans.modules.cnd.makeproject.spi.configurations.CompileOptionsProvider$Default.remove(CompileOptionsProvider.java:116)
        at org.netbeans.modules.cnd.makeproject.ui.customizer.MakeCustomizer$MyListEditorPanel.removeAction(MakeCustomizer.java:726)
        at org.netbeans.modules.cnd.makeproject.ui.customizer.MakeCustomizer$MyListEditorPanel.removeAction(MakeCustomizer.java:681)
        at org.netbeans.modules.cnd.utils.ui.ListEditorPanel.removeObjectAction(ListEditorPanel.java:689)
        - locked <0xc495b270> (a org.netbeans.modules.cnd.makeproject.ui.customizer.MakeCustomizer$MyListEditorPanel)
        at org.netbeans.modules.cnd.utils.ui.ListEditorPanel.removeButtonActionPerformed(ListEditorPanel.java:711)
Comment 1 Vladimir Kvashin 2012-10-04 18:58:25 UTC
Lots of similar problems when using editor are described in issue 218138; this one isn't from editor, so I didn't add dependency between this issue and issue  218138
Comment 2 Maria Tishkova 2012-10-30 12:37:14 UTC
fixed for ListEditorPane
in http://hg.netbeans.org/cnd-main/rev/d5b466adf65f
Comment 3 Quality Engineering 2012-10-31 02:57:52 UTC
Integrated into 'main-golden', will be available in build *201210310001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d5b466adf65f
User: Maria Tishkova <mromashova@netbeans.org>
Log: fixed bz#219547 - MakeCustomizer & ListEditorPanel access file system from EDT
Also fixed not only remove configuration from configurations list but also copy and edit


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo